$schema: 'https://json-schema.org/draft/2020-12/schema'

title: 'Id types'
description: 'CURIE-like strings formats used for myome identifiers'
type: object

definitions:
  ClinicianId:
    type: string
    pattern: '^CN-\d+$'
    examples:
      - 'CN-0123456'
  ConfirmationId:
    type: string
    pattern: '^CF-\d+$'
    examples:
      - 'CF-0123456'
  DataSetId:
    type: string
    pattern: '^DS-\d+$'
    examples:
      - 'DS-0123456'
  KitId:
    type: string
    pattern: '^KT-\d+$'
    examples:
      - 'KT-0123456'
  OrderId:
    type: string
    pattern: '^OR-\d+$'
    examples:
      - 'OR-0123456'
  ProductId:
    type: string
    description: A reference to an ordered product. 
    pattern: '^PR-\d+$'
    examples:
      - 'PR-0123456'
  ProductVersionId:
    type: string
    description: INTERNAL ONLY. A reference to a product version; the unversioned component is a `ProductId`. 
    pattern: '^PR-\d+-\d+\.\d+\.\d+$'
    examples:
      - 'PR-0123456-0.0.1'
  ReportId:
    type: string
    pattern: '^RP-\d+$'
    examples:
      - 'RP-0123456'
  RequisitionId:
    type: string
    pattern: '^RQ-\d+$'   
    examples:
      - 'RQ-0123456'
  RunId: 
    type: string
    pattern: '^RU-[a-z]*-?\d+$'
    examples:
      - 'RU-0123456'
      - 'RU-dev-0123456'
  SampleId:
    type: string
    pattern: '^SM-\d+$'
    examples:
      - 'SM-0123456'
  SendoutId:
    type: string
    pattern: '^SO-\d+$'
    examples:
      - 'SO-0123456'
  WorkflowId:
    type: string
    pattern: '^myome:wf/'
    examples:
      - myome:wf/nf_pgr_sf/1.2.3
      - myome:wf/nf_fastq_to_bam/0123abc

